Package org.apache.qpid.proton.codec

# Class BigIntegerType

java.lang.Object
org.apache.qpid.proton.codec.BigIntegerType

All Implemented Interfaces:
  `AMQPType<BigInteger>`, `PrimitiveType<BigInteger>`

public class BigIntegerType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`BigIntegerType.BigIntegerEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<BigIntegerType.BigIntegerEncoding>`
`getAllEncodings()`
`BigIntegerType.BigIntegerEncoding`
`getCanonicalEncoding()`
`BigIntegerType.BigIntegerEncoding`
`getEncoding(BigInteger l)`
`Class<BigInteger>`
`getTypeClass()`
`final void`
`write(BigInteger val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<BigInteger> getTypeClass()

### getEncoding

public BigIntegerType.BigIntegerEncoding getEncoding(BigInteger l)

### getCanonicalEncoding

public BigIntegerType.BigIntegerEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<BigIntegerType.BigIntegerEncoding> getAllEncodings()

### write

public final void write(BigInteger val)

Specified by:
  `write` in interface `AMQPType<T>`